import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { MultiTranslateHttpLoader } from 'ngx-translate-multi-http-loader';
import { environment } from 'src/environments/environment';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { FormreaderModule } from 'src/app/vitis/formreader/formreader.module';
import { AdminDatasourceComponent } from './admin-datasource.component';
import { routing } from './admin-datasource.route';
import { AdminDatasourceFormComponent } from './components/admin-datasource-form/admin-datasource-form.component';
import { AdminDatasourceTabsComponent } from './components/admin-datasource-tabs/admin-datasource-tabs.component';
import { AdminDatasourceDataGridComponent } from './components/admin-datasource-data-grid/admin-datasource-data-grid.component';
import { DataGridModule } from 'src/app/vitis/data-grid/data-grid.module';
import { MapCoreModule } from 'src/app/vitis/map-core/map-core.module';

/**
 * Chargement des traductions
 * @param http
 * @returns
 */
export function HttpLoaderFactory(http: HttpClient) {
  return new MultiTranslateHttpLoader(http, environment.appStruct['translate']);
}

@NgModule({
  declarations: [
    AdminDatasourceComponent,
    AdminDatasourceFormComponent,
    AdminDatasourceTabsComponent,
    AdminDatasourceDataGridComponent,
  ],
  imports: [
    SharedModule,
    FormreaderModule,
    CommonModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    routing,
    FormsModule,
    DataGridModule,
    MapCoreModule,
  ]
})
export class VmapAdminDatasourceModule { }
