export const datasourceTreeviewWMTSConnectionForm = {
  'datasources': {
    'datasource_flux_type': {
      'type': 'object',
      'dataType': 'text',
      'name': 'datasource_flux_type',
      'description': '',
      'options': [
        'KVP|KVP',
        'REST|REST'
      ]
    }
  },
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_url',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_URL',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_type',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_TYPE',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_version',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_VERSION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'label',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'name',
            'description',
            'flux_url',
            'flux_type',
            'flux_version',
            'flux_login'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'WMTS connexion',
    'beforeEvent': 'prepareData()',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_INSERT_WMTS_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'textarea',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_url',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_URL',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'select',
            'name': 'flux_type',
            'datasource': {
              'datasource_id': 'datasource_flux_type'
            },
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_TYPE',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_version',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_VERSION',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'password',
            'name': 'flux_password',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_PASSWORD',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'flux_options',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasourcetype_id',
            'default_value': 6,
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [{
          'type': 'button',
          'class': 'btn-ungroup btn-group-sm',
          'nb_cols': 10,
          'buttons': [
            {
              'type': 'submit',
              'name': 'form_submit',
              'label': 'FORM_CREATE',
              'id': 'form_submit_WMTS_connection',
              'class': 'btn-primary'
            },
            {
              'type': 'button',
              'name': 'return_list',
              'label': 'CONFIRM_CANCEL',
              'class': 'btn-default',
              'id': 'return_list_WMTS_connection',
              'event': 'cancelForm()'
            }
          ],
        }]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'name',
            'description',
            'flux_url',
            'flux_type',
            'flux_version',
            'flux_login',
            'flux_password',
            'flux_options',
            'datasourcetype_id',
            'form_submit',
            'return_list'
          ]
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'WMTS connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'beforeEvent': 'prepareData()',
    'event': 'sendForm()',
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'title',
            'name': 'title',
            'label': 'DATASOURCE_FORM_UPDATE_WMTS_CONNECTION_TITLE',
            'nb_cols': 12,
            'class': 'h1'
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasource_id',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'name',
            'label': 'DATASOURCE_FORM_NAME',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'textarea',
            'name': 'description',
            'label': 'DATASOURCE_FORM_DESCRIPTION',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_url',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_URL',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'select',
            'name': 'flux_type',
            'datasource': {
              'datasource_id': 'datasource_flux_type'
            },
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_TYPE',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_version',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_VERSION',
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'text',
            'name': 'flux_login',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_LOGIN',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'password',
            'name': 'flux_password',
            'label': 'DATASOURCE_FORM_WMTS_CONNECTION_FLUX_PASSWORD',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'flux_options',
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [
          {
            'type': 'hidden',
            'name': 'datasourcetype_id',
            'default_value': 6,
            'required': true,
            'nb_cols': 12
          }
        ]
      },
      {
        'fields': [{
          'type': 'button',
          'class': 'btn-ungroup btn-group-sm',
          'nb_cols': 10,
          'buttons': [
            {
              'type': 'submit',
              'name': 'form_submit',
              'label': 'FORM_UPDATE',
              'class': 'btn-primary'
            },
            {
              'type': 'button',
              'name': 'return_list',
              'label': 'CONFIRM_CANCEL',
              'class': 'btn-default',
              'id': 'return_list_WMTS_connection',
              'event': 'cancelForm()'
            }
          ],
        }]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'title',
            'datasource_id',
            'name',
            'description',
            'flux_url',
            'flux_type',
            'flux_version',
            'flux_login',
            'flux_password',
            'flux_options',
            'datasourcetype_id',
            'form_submit',
            'return_list'
          ]
        }
      ]
    }
  }
};