import { defaultEmptyMapOptions } from '../DatasourceTreeviewFormVar';

export const datasourceTreeviewWMTSLayerMapForm = {
  'display': {
    'name': 'custom-form',
    'input_size': 'xxs',
    'initEvent': 'prepareData()',
    'nb_cols': 12,
    'rows': [
      {
        'fields': [
          {
            'type': 'map_vmap',
            'name': 'wmts_map_layer',
            'nb_cols': 12,
            'style': {
              'height': '500px'
            },
            'map_options': JSON.parse(JSON.stringify(defaultEmptyMapOptions))
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'wmts_map_layer'
          ]
        }
      ]
    }
  },
  'insert': {
    'name': 'custom-form',
    'title': 'WMTS connexion',
    'event': 'sendForm()',
    'input_size': 'xxs',
    'nb_cols': 12,
    'javascript': false,
    'rows': [],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': []
        }
      ]
    }
  },
  'update': {
    'name': 'custom-form',
    'title': 'WMTS connexion',
    'input_size': 'xxs',
    'nb_cols': 12,
    'event': 'sendForm()',
    'initEvent': 'prepareData()',
    'javascript': false,
    'rows': [
      {
        'fields': [
          {
            'type': 'map_vmap',
            'name': 'wmts_map_layer',
            'nb_cols': 12,
            'style': {
              'height': '500px'
            },
            'map_options': {
              'center': {
                'extent': [
                ]
              },
              'type': 'vmap',
              'controls': {
                'mouse_position': true,
                'zoom_controls': true,
                'scale_line': true,
                'map_projection': true
              },
              'interactions': {
                'multi_geometry': false,
                'full_screen': true,
                'remove_all': false,
                'remove': false,
                'modify': false,
                'draw_point': false,
                'draw_line': false,
                'draw_polygon': false
              },
              'layers': [],
              'draw_color': 'rgba(54,184,255,0.6)',
              'contour_color': 'rgba(0,0,0,0.4)',
              'contour_size': 2,
              'circle_radius': 6,
              'features': [],
              'coord_accuracy': 8,
              'tree': {
                'name': 'Tree',
                'children': [
                  {
                    'view': {
                      'zoom': 6,
                      'maxZoom': 28,
                      'minZoom': 0,
                      'extent': [
                      ]
                    }
                  },
                  {
                    'name': 'Open Street Map',
                    'children': [
                      {
                        'name': 'Open Street Maps',
                        'visible': true,
                        'layerType': 'osm',
                        'url': 'https://{a-c}.tile.openstreetmap.org/{z}/{x}/{y}.png',
                        'select': true,
                        'index': 0
                      }
                    ],
                    'visible': true
                  }
                ]
              }
            }
          }
        ]
      }
    ],
    'tabs': {
      'position': 'top',
      'list': [
        {
          'label': 'Tab 0',
          'elements': [
            'wmts_map_layer'
          ]
        }
      ]
    }
  }
};