import { Component, OnDestroy, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { DashboardComponent } from 'src/app/vitis/core/components/dashboard/dashboard.component';

@Component({
  selector: 'app-vmap-controls-vitis-button',
  templateUrl: './vmap-controls-vitis-button.component.html',
  styleUrls: ['./vmap-controls-vitis-button.component.scss']
})
export class VmapControlsVitisButtonComponent implements OnInit, OnDestroy {

  public isActive: boolean = false;

  // Mémorise toutes les souscriptions de manière à les desouscrire à la destruction du composant
  private subscriptions: Subscription[] = [];

  constructor(
    private dashboard: DashboardComponent
  ) { }

  ngOnInit(): void {
    this.subscriptions.push(this.dashboard.sidenavOpenChange.subscribe((next) => {
      this.isActive = next;
    }));
  }

  /**
   * Fonction de destruction
   */
   ngOnDestroy(): void {
    this.subscriptions.forEach(subscription => subscription.unsubscribe());
  }

  /**
   * Toggle
   */
  public toggleSideNav() {
    this.dashboard.toggleSideNav();
  }
}
