import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { JsonSymbologyLabelsOther } from 'src/modules/vmap/components/models/json-symbology/json-symbology-label.model';

@Component({
  selector: 'app-label-other',
  templateUrl: './label-other.component.html',
  styleUrls: ['./label-other.component.scss']
})
export class LabelOtherComponent implements OnInit {

  constructor(private service: LayerSymbologyService) { }

  get forces() {
    return this.service.forces['_value'];
  }

  get types() {
    return this.service.types['_value'];
  }

  @Input() oField: JsonSymbologyLabelsOther;
  @Input() sAttribut: string;
  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyLabelsOther> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  public oTrueFalse = {
    true: 'COMPONENT_MAP_EDIT_SYMBOLOGY_CLASS_LABEL_FORCE_TRUE',
    false: 'COMPONENT_MAP_EDIT_SYMBOLOGY_CLASS_LABEL_FORCE_FALSE'
  };

  ngOnInit(): void {
  }
}
