import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { LayerSymbologyService } from 'src/modules/vmap/components/layer-symbology/services/layer-symbology/layer-symbology.service';
import { JsonSymbologyStylesSymbolRepeat } from 'src/modules/vmap/components/models/json-symbology/json-symbology-style.model';

@Component({
  selector: 'app-symbol-repeat',
  templateUrl: './symbol-repeat.component.html',
  styleUrls: ['./symbol-repeat.component.scss']
})
export class SymbolRepeatComponent implements OnInit {

  @Input() oField: JsonSymbologyStylesSymbolRepeat;
  @Input() sAttribut: string;
  @Input() sXYPattern: string;

  @Output() setJsonSymboValue: EventEmitter<JsonSymbologyStylesSymbolRepeat> = new EventEmitter();
  @Output() isValidField = new EventEmitter<any>();

  constructor(private service: LayerSymbologyService) { }

  ngOnInit(): void {
  }

  get symbols() {
    return this.service.symbols['_value'];
  }

}
