/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  scope.extractDefinition = function () {
    let type = scope.oFormValues.get('type').value;
    if (!type) {
      type = scope.oFormValues.get('type_symbol').value;
    }
    switch (type) {
      case 'font':
        const font = scope.oFormValues.get('font').value;
        scope.oFormValues.controls['definition']
          .setValue("SYMBOL\n" +
            `\tNAME "${scope.oFormValues.get('name').value}"\n` +
            "\tTYPE TRUETYPE\n" +
            `\tFONT "${font}"\n` +
            `\tCHARACTER "${scope.oFormValues.get('font_character').value}"\n` +
            "\tANTIALIAS TRUE\n" +
            "END\n");
        scope.oFormValues.controls['type'].setValue('font');
        break;
      case 'image':
        const image = scope.oFormValues.get('image').value[0];
        scope.oFormValues.controls['definition']
          .setValue("SYMBOL\n" +
            `\tNAME "${scope.oFormValues.get('name').value}"\n` +
            "\tTYPE PIXMAP\n" +
            `\tIMAGE "../symbols/images/${image}"\n` +
            `\tTRANSPARENT 0\n` +
            "END\n");
        scope.oFormValues.controls['type'].setValue('image');
        break;
      case 'mapserver':
        scope.oFormValues.controls['type'].setValue('mapserver');
        break;
      default:
        console.error('Type not valid : ', type)
        break;
    }
    return services.SimpleformComponent.sendSimpleForm({ ...scope.oFormValues.value, ...scope.getFormValues(true) });
  }
}
