#!/usr/bin/env python3
# coding: utf-8

import shutil
import os

class Command:
  def __init__(self, **kwargs):
    self.settings = kwargs.get('settings')
    self.logging = kwargs.get('logging')
    
  def execute(self):
    self.logging.info('Vitis postinstall')
    #self.extract_node_modules()

  def extract_node_modules(self) : 
    self.logging.info('Uncompress node_modules')

    nodeLinPath = self.settings['INSTALL_PATH'] + '/vas/engine/vitis/node_modules_lin.tar.gz'
    nodeWinPath = self.settings['INSTALL_PATH'] + '/vas/engine/vitis/node_modules_win.tar.gz'

    destPath = self.settings['INSTALL_PATH'] + '/vas/engine/vitis'

    # Extrait les fichiers et Supprime les tar.gz
    if str(self.settings['PLATFORM']) == 'Linux':
      self.extract_all(nodeLinPath, destPath)
      os.remove(nodeLinPath)
    elif str(self.settings['PLATFORM']) == 'Windows':
      self.extract_all(nodeWinPath, destPath)
      os.remove(nodeWinPath)
    else:
      self.logging.error('PLATFORM : ' + str(self.settings['PLATFORM']) + ' not valid (mut be Linux/Windows)')
      return

  def extract_all(self, filePath, destPath):
    self.logging.info('Extract : ' + str(filePath))
    shutil.unpack_archive(filePath, destPath)

