import Swal, { SweetAlertOptions } from 'sweetalert2';
import { VitisAlertOptions } from './vitisalert.model';
const vitisAlert_: any = {...Swal};

/**
 * Lance un toast
 */
vitisAlert_.fireToast = (options: VitisAlertOptions) => {

  const Toast = Swal.mixin({
    toast: true,
    position: 'top-end',
    showConfirmButton: false,
    timer: 3000,
    onOpen: (toast) => {
      toast.addEventListener('mouseenter', Swal.stopTimer);
      toast.addEventListener('mouseleave', Swal.resumeTimer);
    }
  });

  Toast.fire(vitisAlert_.getSwalOptions_(options));
};

/**
 * Lance une alerte
 * @param options
 */
vitisAlert_.alert = (options: VitisAlertOptions) => {
  return Swal.fire(vitisAlert_.getSwalOptions_(options));
};

/**
 * Transforme les options VitisAlert en SwalOptions
 * @param options
 */
vitisAlert_.getSwalOptions_ = (options: VitisAlertOptions): SweetAlertOptions => {

  if (options.type) {
    options.icon = options.type;
  }

  // Animations
  if (!options.showClass) {
    options.showClass = {
      popup: 'vitis-show',
    };
  }
  if (!options.hideClass) {
    options.hideClass = {
      popup: 'vitis-hide',
    };
  }

  return options;
};

export const vitisAlert = vitisAlert_;