interface String {
  removeURLParams(aForbiddenParams: Array<string>): string;
}

/**
 * Remove from the string the URL params defined in aForbiddenParams
 * @param {array} aForbiddenParams
 * @returns {String}
 */
String.prototype.removeURLParams = function (aForbiddenParams: Array<string>): string {
  let sUrl = this;
  let paramIndex: number, nextParamIndex: number;

  // Patch erreur lors de la compilation en mode SIMPLE
  if (sUrl !== null && typeof sUrl === 'object') {
    let sTmp = '';
    for (const key in sUrl) {
      if (sUrl.hasOwnProperty(key)) {
        sTmp += sUrl[key];
      }
    }
    sUrl = sTmp;
  }

  for (let i = 0; i < aForbiddenParams.length; i++) {

    // Cas où le paramètre commence par &
    paramIndex = sUrl.toLowerCase().indexOf('&' + aForbiddenParams[i] + '=');
    if (paramIndex !== -1) {

      // Index du prochain paramètre (où de la fin de la chaine)
      nextParamIndex = sUrl.toLowerCase().indexOf('&', paramIndex + 1);

      // Enlève le paramètre de la chaine
      if (nextParamIndex > 0) {
        sUrl = sUrl.replace(sUrl.slice(paramIndex, nextParamIndex), '');
      } else {
        sUrl = sUrl.replace(sUrl.slice(paramIndex), '');
      }
      continue;
    }

    // Cas où le paramètre commence par ?
    paramIndex = sUrl.toLowerCase().indexOf('?' + aForbiddenParams[i] + '=');
    if (paramIndex !== -1) {

      // Index du prochain paramètre (où de la fin de la chaine)
      nextParamIndex = sUrl.toLowerCase().indexOf('&', paramIndex + 1);

      // Enlève le paramètre de la chaine
      if (nextParamIndex > 0) {
        sUrl = sUrl.replace(sUrl.slice(paramIndex, nextParamIndex + 1), '?');
      } else {
        sUrl = sUrl.replace(sUrl.slice(paramIndex), '');
      }
      continue;
    }
  }
  return sUrl;
};