import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs/internal/BehaviorSubject';
import { filter } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class DataGridStudioService {

  private dataGridOptionsChangeEvent = new BehaviorSubject<any>(undefined);
  constructor() { }

  /**
   * Émet un event de dataGridOptionsChangeEvent
   * @param studioId
   */
  public emitDataGridOptionsEvent(studioId: any) {
    this.dataGridOptionsChangeEvent.next({ studioId });
  }

  /**
   * Retourne un observable de dataGridOptionsChangeEvent
   * @param studioId
   * @returns
   */
  public dataGridOptionsEventListner(studioId: any) {
    return this.dataGridOptionsChangeEvent.asObservable()
      .pipe(
        filter(e => {
          if (!e) {
            return;
          }
          return e.studioId === studioId;
        })
      );
  }
}
