import { Component, Input, OnInit } from '@angular/core';
import { Map } from 'ol';

@Component({
  selector: 'app-core-controls-map-name',
  templateUrl: './core-controls-map-name.component.html',
  styleUrls: ['./core-controls-map-name.component.scss']
})
export class CoreControlsMapNameComponent implements OnInit {

  @Input() olMap: Map;

  public mapName: string = '';

  constructor() { }

  ngOnInit(): void {
    this.refreshMapName_();

    this.olMap.on('change', () => {
      this.refreshMapName_();
    });
  }

  /**
   * Remplit la variable mapName
   */
  private refreshMapName_() {
    const oMapDef = this.olMap.get('map_definition');
    this.mapName = oMapDef.name;
  }
}
