import { Injectable } from '@angular/core';
import { fromEvent, Observable, Subject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class MapCoreSmallScreenService {

  public resizeScreenObservable: Observable<Event>;
  private smallScreen: boolean = null;
  public smallScreenObservable = new Subject<boolean | null>();

  constructor() {
    this.setSmallScreen(window.innerWidth <= 768);

    this.resizeScreenObservable = fromEvent(window, 'resize');
    this.resizeScreenObservable.subscribe((event: any) => {
      if (event.target.innerWidth <= 768) {
        if (this.smallScreen == false) {
          this.setSmallScreen(true);
        }
      } else if (this.smallScreen == true) {
        this.setSmallScreen(false);
      }
    });
  }

  /**
   * Setter quand on change l'état de la fenêtre
   * @param isSmallScreen
   */
  private setSmallScreen(isSmallScreen) {
    this.smallScreen = isSmallScreen;
    this.smallScreenObservable.next(isSmallScreen);
  }
}
