import { Component, Input, OnInit, AfterContentInit } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import moment from 'moment';
@Component({
  selector: 'app-normal-card',
  templateUrl: './normal-card.component.html',
  styleUrls: ['./normal-card.component.scss']
})
export class NormalCardComponent implements OnInit, AfterContentInit {

  public oMode: any;
  public oParams: any;

  @Input()
  public id: number;
  @Input()
  public title: string;
  @Input()
  public type: string;
  @Input()
  public date: string | number;
  @Input()
  public details: string;
  @Input()
  public picture: string;
  @Input()
  public color: string;
  @Input()
  public target: string;
  @Input()
  public visible: boolean = true;

  public hasLoaded: boolean = false;
  public hasErrors: boolean = false;

  constructor(
    private route: ActivatedRoute,
    private router: Router
  ) { }

  ngOnInit() {
    // récupération du mode
    this.route.data.subscribe(oMode => {
      this.oMode = oMode;
    });

    const oDate = moment(this.date, 'DD/MM/YYYY hh:mm:ss');
    this.date = oDate.unix();
  }

  ngAfterContentInit() {
    if (!this.picture) {
      this.setLoaded();
    }
  }

  /**
   * Permet la navigation vers this.target
   */
  public navigate() {
    this.router.navigate([this.target]);
  }

  /**
   * Met la carte en succés
   */
  public setLoaded() {
    this.hasLoaded = true;
  }

  /**
   * Met la carte en erreur
   */
  public setError() {
    this.hasLoaded = true;
    this.hasErrors = true;
  }
}