import { Component, OnInit, Input, OnChanges } from '@angular/core';

@Component({
  selector: 'app-data-source-text',
  templateUrl: './data-source-text.component.html',
  styleUrls: ['./data-source-text.component.scss']
})
export class StudioDataSourceTextComponent implements OnInit, OnChanges {

  @Input() public sSourceManagerMode: string;
  @Input() public oSelectedDataSource: any;

  // Contenu de la source au format string.
  public sDataSourceOptions: string;

  constructor() { }

  ngOnInit() {
  }

  ngOnChanges() {
    if (this.oSelectedDataSource.dataType == 'text') {
      this.sDataSourceOptions = this.oSelectedDataSource.options.join('\n');
    }
  }

  /**
   * Retourne un tableau contenant la liste des libellés et valeurs du contenu d'une source de données.
   * @returns array
   */
  public getDataSourceContent() {
    const aDataSourceContent = this.sDataSourceOptions.split('\n').map(function (option) {
      const aOption = option.split('|');
      const oOption = {
        label: aOption[0],
        value: aOption[0],
      };
      if (aOption.length > 1) {
        oOption.value = aOption[1];
      }
      return oOption;
    });
    return aDataSourceContent;
  }
}
