import { Component, OnInit, Input, ElementRef, ViewChild } from '@angular/core';

declare var $: any;

interface TooltipConfig {
  container?: string;
  content?: string;
  html?: boolean;
  title?: string;
  trigger?: string;
}

@Component({
  selector: 'app-wklist-tooltip',
  templateUrl: './tooltip.component.html',
  styleUrls: ['./tooltip.component.scss']
})
export class WklistTooltipComponent implements OnInit {

  @Input() title: string;
  @Input() content: string;
  @Input() icon: string = 'fa-info-circle';
  @ViewChild('tooltip', { static: true, read: ElementRef }) tooltip: ElementRef;

  public invisible: boolean;

  constructor() { }

  ngOnInit() {
    let iConfig: TooltipConfig;
    if (this.content) {
      this.invisible = false;
      iConfig = {
        container: 'body',
        content: this.content ? this.content : '',
        html: true,
        title: this.title ? this.title : '',
        trigger: 'hover'
      };
      $(this.tooltip.nativeElement).popover(iConfig);
    } else {
      this.invisible = true;
    }
  }

}
