import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from 'src/app/vitis/shared/shared.module';
import { MonacoEditorModule } from 'ngx-monaco-editor';
import { HttpClientModule, HttpClient } from '@angular/common/http';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import { HttpLoaderFactory } from 'src/app/vitis/app.module';
import { FormsModule } from '@angular/forms';
import { WorkspacelistComponent } from './workspacelist.component';
import { FormfilterComponent } from './formfilter/formfilter.component';
import { StatusfilterComponent } from './statusfilter/statusfilter.component';
import { WklistDateComponent } from './template/date/date.component';
import { WklistTooltipComponent } from './template/tooltip/tooltip.component';
import { WklistParamsComponent } from './template/params/params.component';
import { WklistBooleanIconComponent } from './template/boolean-icon/boolean-icon.component';
import { DataGridModule } from '../data-grid/data-grid.module';
import { FormreaderModule } from '../formreader/formreader.module';
import { WklistUrlComponent } from './template/url/url.component';

/**
 * Module workspacelist sans routing
 */
@NgModule({
  imports: [
    SharedModule,
    MonacoEditorModule,
    CommonModule,
    FormsModule,
    HttpClientModule,
    TranslateModule.forChild({
      loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
      }
    }),
    DataGridModule,
    FormreaderModule,
  ],
  declarations: [
    WorkspacelistComponent,
    FormfilterComponent,
    StatusfilterComponent,
    WklistDateComponent,
    WklistTooltipComponent,
    WklistParamsComponent,
    WklistBooleanIconComponent,
    WklistUrlComponent
  ],
  exports: [
    WorkspacelistComponent
  ],
})
export class WorkspacelistModule { }
