/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined}
 */
var constructor_form = function (scope, env, services) {

  /**
   * Permet de charger la doc du contexte depuis un autre champs (non présent dans le formulaire)
   * @param {*} oFormValues 
   */
  scope.loadContextInformations = function (oFormValues) {
    if (oFormValues.context_documentation){
      scope.getFormField('body').auto_complete_custom = JSON.parse(oFormValues.context_documentation);
    }
  }

  /**
   * Test du template de mail.
   */
  scope.testMailTemplate = function () {
    // Envoi du test.
    if (scope.oFormValues.value.body != null && scope.oFormValues.value.body != "") {
      var oFormValues = Object.assign({}, scope.oFormValues.value);
      // Sujet générique.
      if (oFormValues.subject == null || oFormValues.subject == "") {
        oFormValues.subject = services.translate.instant('FORM_TEST_MAIL_SUBJECT_PUBLICATION_EMAIL_TEMPLATE_EMAIL_TEMPLATE_SIMPLE_EDITION');
      }
      // Requête du test.
      services.vitisRequest.ajaxRequestPromise({
        method: 'POST',
        data: services.formreaderSrvc.transformToDataForm(oFormValues),
        url: env.properties.app_api_url + '/vitis/emailtemplates/' + scope.oFormValues.value.email_template_id + '/test',
      }).then((resp) => {
        if (resp.data) {
          var sToastMode, sText;
          if (resp.data.status === 1) {
            sToastMode = 'success';
            sText = services.translate.instant('FORM_TEST_OK_PUBLICATION_EMAIL_TEMPLATE_EMAIL_TEMPLATE_SIMPLE_EDITION');
            services.vitisAlert.fireToast({
              type: sToastMode,
              title: sText
            });
          }
        }
      });
    }
    else {
      // services.translate.instant('FORM_TEST_MAIL_EMPTY_PUBLICATION_EMAIL_TEMPLATE_EMAIL_TEMPLATE_SIMPLE_EDITION')
      services.vitisAlert.alert({
        'type': 'error',
        'text': services.translate.instant('FORM_TEST_MAIL_EMPTY_PUBLICATION_EMAIL_TEMPLATE_EMAIL_TEMPLATE_SIMPLE_EDITION')
      });
    }
  }
};