/**
 * constructor_form
 * Fonction lancée au chargement du formulaire
 * @param {object} scope Formreader
 * @param {object} env environment
 * @param {object} services
 * @returns {undefined} 
 */
var constructor_form = function (scope, env, services) {

  /**
   * Fonction appelée avant l'envoi du formulaire
   * @return {boolean|promise}
   */
  scope.beforeEvent = function () {
    const oFormValues = scope.getFormValues();
    return true
  }

  /**
   * Fonction appelée après l'envoi du formulaire
   * @return {boolean|promise}
   */
  scope.afterEvent = function () {
    const oFormValues = scope.getFormValues();
    return true;
  }

  /**
   * Interdit à l'utilisateur en cours de s'enlever les privilèges liés à vitis
   */
  scope.getPrivilegesFilter = function () {
    // Privilèges que l'on ne peut pas s'enlever soi-même
    const unallowedPrivileges = ['vitis_user', 'vitis_admin'];
    const oFormValues = scope.getFormValues();

    // Si le privilège édité est un de ceux interdits alors ajoute un filtre pour ne pas voir son propre utilisateur
    if (unallowedPrivileges.indexOf(oFormValues.rolname) !== -1) {
      return {
        "column": "user_id",
        "compare_operator": "!=",
        "value": services.auth.user_id
      }
    }
  }
}
