import { AppConfig } from '../app/vitis/app.model';
import {
  vitisUsersMode,
  vitisLogsMode,
  vitisConfigVitisObject,
  vitisConfigSharedDirObject,
  vitisConfigEmailTemplatesObject,
  vitisConfigInterfaceObject,
  vitisAPIVitisWebService,
  vitisUserHeader,
  vitisHelpHeader,
  vitisTranslateConfig,
  vitisConfigCustomTranslationsObject
} from '../app/vitis/app.struct';

export const appStruct: AppConfig = {
  'translate': [vitisTranslateConfig],
  'name': 'Vitis',
  'logo': {
    'type': 'icon',
    'class': 'icon-vitis-vitis'
  },
  'favicon': 'conf/images/Veremes-Leaf-Frame-W.png',
  'modes': [{
    'type': 'separator',
    'label': 'TITLE_MODE_GTF_ADMINISTRATION',
    'privilege': 'gtf_admin'
  },
    vitisUsersMode,
  {
    'name': 'vitis_config',
    'label': 'TITLE_MODE_CONFIGURATION',
    'icon': 'icon-vitis-cogs',
    'route': 'config',
    'privilege': 'vitis_admin',
    'objects': [
      vitisConfigVitisObject,
      vitisConfigSharedDirObject,
      vitisConfigEmailTemplatesObject,
      vitisConfigInterfaceObject,
      vitisConfigCustomTranslationsObject]
  }, {
    'name': 'vitis_api',
    'label': 'TITLE_MODE_CONFIGURATION_API',
    'icon': 'icon-vitis-code',
    'route': 'api_doc',
    'type': 'api_doc',
    'privilege': 'vitis_admin',
    'options': {
      'web_services': [vitisAPIVitisWebService],
      'base_path': '/v2'
    }
  }, vitisLogsMode],
  'headers': [vitisUserHeader, vitisHelpHeader],
  'widgets': []
};