/**
 * Récupère le contenu d'un fichier JSON
 * @param  {string} url
 */
const getJSONFile = (url: string) => {
  let oResponse: any;
  const req = new XMLHttpRequest();
  req.open('GET', url, false);
  req.send(null);

  if (req.status === 200) {
    try {
      oResponse = JSON.parse(req.responseText);
    } catch (error) {
      console.error('Could not get JSON response', url);
    }

  } else {
    console.error('Could not get JSON response', url, req.status, req.statusText);
  }
  return oResponse;
};

// Properties
const properties = getJSONFile('conf/properties.json');
for (const key in properties) {
  if (properties.hasOwnProperty(key)) {

    // Remplace la balise [hostname]
    if (typeof (properties[key]) === 'string') {
      properties[key] = properties[key].replace('[hostname]', window.location.hostname);
    }
  }
}

// Structure de l'application
const appStruct = getJSONFile('conf/app.json');

export const environment = {
  production: false,
  properties,
  appStruct
};
