# Strucutre des applications Vitis 2020

## Dossier _install/

Ce dossier contient les fichiers qui seront utilisés par VAI pour permettre l'installation et la mise à jour

#### dependencies.json

C'est le fichier de configuration de l'application, il contient les variables d'installation (alias API, environnement, base de données etc.)
ainsi que un objet **application** qui détermine les dépôts git à utiliser ainsi que les rôles et utilisateurs à créer

exemple GTF:

```json
{
  "API_ALIAS": "/gtf/api",
  "APP_ALIAS": "/gtf",
  "APP_ENV": "dev",
  "HTTPSERVER_CONF_FILE": "vm_app_gtf.conf",
  "HTTPSERVER_PATH": "/etc/apache2",
  "INSTALL_PATH": "/var/www/gtf",
  "INSTALL_TYPE": "full",
  "PLATFORM": "Linux",
  "POSTGRES_DB": "gtf",
  "POSTGRES_HOST": "dbhost",
  "POSTGRES_PASSWORD": "dbpasswd",
  "POSTGRES_PORT": 5432,
  "POSTGRES_USER": "dbuser",
  "application": {
    "branch": "master",
    "name": "gtf",
    "url": "git@gitlab.veremes.net:Development/vitis-2020/applications/gtf.git",
    "users": {
      "admin": {
        "grouproles": [
          "vitis_user",
          "vitis_admin"
        ],
        "login": true,
        "password": "admin",
        "roles": [
          "LOGIN",
          "CREATEROLE"
        ]
      }
    },
    "framework": {
      "branch": "master",
      "name": "vitis",
      "url": "git@gitlab.veremes.net:Development/vitis-2020/sources/vitis.git"
    },
    "modules": [{
      "branch": "master",
      "name": "module_gtf",
      "url": "git@gitlab.veremes.net:Development/vitis-2020/sources/module_gtf.git"
    }]
  }
}
```

#### templates/vitis.service

Utilisé par VAI permettra la mise en place du service Vitis

#### templates/vm_app_gtf.conf

Contient la configuration Apache nécessaire au bon fonctionnement de l'application

## Dossier conf/
