<?php
namespace App\Module\Vitis\WebService\Repository;

use Doctrine\ORM\EntityManagerInterface;
use Doctrine\ORM\Mapping\ClassMetadata;
use App\Module\Vitis\WebService\Repository\GenericRepository;
/**
 * Repository Générique de Vitis.
 *
 * @author Alexandre Mironenkov   <alexandre.mironenkov@veremes.com>
 */
class DomainRepository extends GenericRepository {

  /**
   * {@inheritdoc}
   */
  public function __construct(EntityManagerInterface $em, ClassMetadata $class) {
    parent::__construct($em, $class);
  }

  /**
   * Retourne une liste des suffixes
   * @return array
   */
  public function getSuffixes(): array {
    $oMetaData = $this->getClassMetadata();
    $sDomainTable = $oMetaData->getSchemaName() . '.' . $oMetaData->getTableName();
    $conn = $this->_em->getConnection();
    /* @var $em EntityManager */
    $qb1 = $conn->createQueryBuilder();
    $qb1->select('a.name, a.suffix')
      ->from($sDomainTable, 'a')
      ->where($qb1->expr()->isNotNull('a.suffix'))
      ->andWhere('TRIM(a.suffix) <> \'\'')
      ->groupBy('a.name, a.suffix');

    $aResults = $qb1->execute()->fetchAll(\PDO::FETCH_ASSOC);

    return $aResults;
  }

}
