<?php

namespace App\Module\Vitis\WebService\Service\Configuration;

use App\Module\Vitis\WebService\Service\Configuration\AbstractConfigurationLoader;
use App\Module\Vitis\WebService\Service\Configuration\Properties;

/**
 * Permet d'accéder et de manipuler la configuration des modules.
 *
 * Les fichiers de configuration sont des fichiers Json spécifiques aux modules.
 * Ce sont les fichiers :
 *      -  src/Module/[Module_name]/module.json
 *
 * Ce fichier contient la définition des :
 *      - Fonction SQL utilisable à travers le DQL
 *      - Channel Monolog pour écrire les logs
 *
 * Il est possible de dépendre de properties. pour les chemins vers les fichiers monologs
 * Les dépendances ciculaire provoque une impossibilité d'accéder à la properties demandée.
 * ex :
 * {
 *     "ws_data_dir" : "@prop(vas_dir)/var/ws_data/"
 * }
 *
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */

class Module extends AbstractConfigurationLoader {
  /**
   * @var string
   */
  protected const CONFIGURATION_FILE_PATH = '@prop(vas_dir)/src/Module/@Module/WebService/module.json';

  /**
   * @param Properties $oPropertiesSrvc Service permettant d'accéder aux properties
   */
  public function __construct(Properties $oPropertiesSrvc) {
    $this->oPropertiesSrvc = $oPropertiesSrvc;
    $this->loadConfiguration();
  }
}

?>