<?php

namespace App\Module\Vitis\WebService\Service\Encoder;

use App\Module\Vitis\WebService\Service\Normalizer\VitisNormalizer;
use Symfony\Component\Serializer\Encoder\JsonEncoder;

/**
 * Surcouche de la classe  JsonEncoder de symfony pour gérer le distinct .
 *
 * @author Anthony Borghi   <anthony.borghi@veremes.com>
 */

class VitisJsonEncoder extends JsonEncoder {

  /**
   * {@inheritdoc}
   */
  public function encode($data, $format, array $context = []) {
    // la donnée est déjà normalisé
    $aData = $data;

    if (!empty($context) && isset($context[VitisNormalizer::DISTINCT])) {
      if($context[VitisNormalizer::DISTINCT] == true){
        $aData['data'] = array_unique($data['data'], SORT_REGULAR);
      }
    }

    return parent::encode($aData, $format, $context);
  }

}

?>