<?php

namespace App\Module\Vitis\WebService\Service;

/**
 * Service permettant de récupérer des infos sur l'OS
 * Ne contient que des méthodes statiques
 *
 * @author Anthony Borghi <anthony.borghi@veremes.com>
 */
final class VitisSystem {

  /**
   * Constructeur privé pour bloquer l'instanciation
   */
  private function __contruct() {}
  /**
   * @return bool true si le script tourne sur Windows, false sinon
   */
  public static function runOnWindows(): bool {
    return (strtoupper(substr(PHP_OS, 0, 3)) === 'WIN');
  }
  /**
   * @return bool true si le script tourne sur Linux, false sinon
   */
  public static function runOnLinux(): bool {
    return !self::runOnWindows();
  }
}