/* global ol, nsUtils */

/**
 * Initialize the report
 * @param {object} opt_options
 * @param {string} opt_options.token
 * @param {string} opt_options.apiUrl
 * @param {string} opt_options.reportDefinition
 * @param {array<object>} opt_options.includes
 * @param {object} opt_options.scope
 * @param {object} opt_options.properties
 */
var initReport = function (opt_options) {
    
    if (!isDef(opt_options.token)) {
        callError('opt_options.token not defined');
    }
    if (!isDef(opt_options.apiUrl)) {
        callError('opt_options.apiUrl not defined');
    }
    if (!isDef(opt_options.reportDefinition)) {
        callError('opt_options.reportDefinition not defined');
    }

    window.oProperties = opt_options.properties;
    
    window.oPrintReport = new PrintReport({
        token: opt_options.token,
        apiUrl: opt_options.apiUrl,
        reportDefinition: opt_options.reportDefinition,
        includes: opt_options.includes,
        scope: opt_options.scope
    });

};