/* global ol, nsUtils */

/**
 * Initialize the template
 * @param {object} opt_options
 * @param {string} opt_options.token
 * @param {string} opt_options.apiUrl
 * @param {string} opt_options.templateDefinition
 * @param {array<object>} opt_options.includes
 * @param {object} opt_options.scope
 * @param {object} opt_options.properties
 */
var initTemplate = function (opt_options) {

    if (!isDef(opt_options.token)) {
        callError('opt_options.token not defined');
    }
    if (!isDef(opt_options.apiUrl)) {
        callError('opt_options.apiUrl not defined');
    }
    if (!isDef(opt_options.templateDefinition)) {
        callError('opt_options.templateDefinition not defined');
    }

    window.oProperties = opt_options.properties;

    window.oPrintTemplate = new PrintTemplate({
        token: opt_options.token,
        apiUrl: opt_options.apiUrl,
        templateDefinition: opt_options.templateDefinition,
        styleId: opt_options.styleId,
        includes: opt_options.includes,
        scope: opt_options.scope
    });

};